summaryrefslogtreecommitdiffstats
path: root/audio/listener/listener.SlackBuild
diff options
context:
space:
mode:
author Pierre Cazenave2010-05-11 22:53:09 +0200
committer David Somero2010-05-11 22:53:09 +0200
commit3f2fb7a43bb100f04c8dd28effd3e9a6f059038a (patch)
tree638d1770322e076f3978f31d1f4673cf802d4d7e /audio/listener/listener.SlackBuild
parent97538d8e35d91636909737416c0186a5ae7c4dc0 (diff)
downloadslackbuilds-3f2fb7a43bb100f04c8dd28effd3e9a6f059038a.tar.gz
audio/listener: Added to 12.1 repository
Diffstat (limited to 'audio/listener/listener.SlackBuild')
-rw-r--r--audio/listener/listener.SlackBuild77
1 files changed, 77 insertions, 0 deletions
diff --git a/audio/listener/listener.SlackBuild b/audio/listener/listener.SlackBuild
new file mode 100644
index 0000000000..7473a26082
--- /dev/null
+++ b/audio/listener/listener.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Slackware build script for listener.
+#
+# Distributed under the beerware licence:
+#
+# "THE BEER-WARE LICENSE" (Revision 42):
+# pwcazenave <at> gmail <dot> com wrote this file. As long as you retain this
+# notice you can do whatever you want with this stuff. If we meet some day,
+# and you think this stuff is worth it, you can buy me a beer in return
+# Pierre Cazenave
+#
+# Created 07/08/2008
+#
+
+PRGNAM=listener
+VERSION=1.7.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf listener-1.7.2
+tar -xvzf $CWD/$PRGNAM-${VERSION}.tgz || exit 1
+cd listener-1.7.2 || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# make the destination directories for the Makefile, otherwise it keels over.
+mkdir -p $PKG/{usr/bin,etc}
+
+# fix Makefile so install path to /usr/bin, not /bin
+sed -i 's@(INSTALL_PREFIX)/bin@(INSTALL_PREFIX)/usr/bin@g' Makefile
+
+# fix listener.h hardcoded config file path
+sed -i 's@/usr/local/etc/listener.conf@/etc/listener.conf@' listener.h
+
+# fix the documentation reference to the config file too
+sed -i 's@/usr/local/etc/listener.conf@/etc/listener.conf@' manual.html
+
+make install INSTALL_PREFIX=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# make the documentation directories and install the documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+( cp -a license.txt manual.html $PKG/usr/doc/$PRGNAM-$VERSION )
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+
+# don't clobber existing .conf files in /etc
+mv $PKG/etc/listener.conf $PKG/etc/listener.conf.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz